[arch-commits] Commit in (4 files)

Bruno Pagani archange at archlinux.org
Tue Jul 28 00:00:45 UTC 2020


    Date: Tuesday, July 28, 2020 @ 00:00:44
  Author: archange
Revision: 665561

Initial addition of python-locket, required by python-partd

Added:
  python-locket/
  python-locket/repos/
  python-locket/trunk/
  python-locket/trunk/PKGBUILD

----------+
 PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

Added: python-locket/trunk/PKGBUILD
===================================================================
--- python-locket/trunk/PKGBUILD	                        (rev 0)
+++ python-locket/trunk/PKGBUILD	2020-07-28 00:00:44 UTC (rev 665561)
@@ -0,0 +1,35 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=locket
+pkgname=python-${_pkg}
+pkgver=0.2.0
+pkgrel=1
+pkgdesc="File-based locks for Python"
+arch=(any)
+url="https://github.com/mwilliamson/locket.py"
+license=(BSD)
+makedepends=(python-setuptools)
+depends=(python)
+checkdepends=(python-nose python-spur)
+# No tests in pypi tarballs
+#source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+source=(${url}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('85ae716ac9e929e03dc8ed5e2725159d2d7570735fb2d0981ad453910b574ed1')
+
+build() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${_pkg}.py-${pkgver}
+  # Failures with 3.8, dead upstream
+  nosetests || warning "Tests failed"
+}
+
+package() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+  # Install license file
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list